<template>
  <div>
    <PagesTermOfService />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";
import { api, apiLocal } from "~/common/constaint";
import { resources } from "~/interfaces/api";

@Component({
  layout: "user",
})
export default class TermOfServicePage extends Vue {
  head() {
    return {
      title:
        "Terms Of Service - " +
        `${
          this.$store.state?.setting?.settingHomePage?.homepageTitle
            ? `${this.$store.state?.setting?.settingHomePage?.homepageTitle}`
            : (this.$store.state.setting.siteInfo &&
                this.$store.state.setting.siteInfo.storeName +
                  " - " +
                  this.$store.state?.setting?.siteInfo?.productName) ||
              ""
        }`,
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${
            this.$store?.state?.setting?.siteInfo?.logo
              ? `${api}/${this.$store?.state?.setting?.siteInfo?.logo}`
              : "/logous.png"
          }`,
        },
      ],
    };
  }
}
</script>
